0 Пользователей и 1 Гость просматривают эту тему.
  • 10 Ответов
  • 6192 Просмотров
*

god-master

  • Захожу иногда
  • 61
  • 1 / 0
Кто-нибудь, учитывая, что поддержка этой линейки была прекращена, пытался проанализировать и устранить уязвимости этой CMS?

Почему спрашиваю, потому что мне она кажется удобной. Работаю только с ней и много чего уже доработал своими руками. Но вот по уязвимостям не спец. =)
*

god-master

  • Захожу иногда
  • 61
  • 1 / 0
Что, совсем никто не пытался этого сделать?
Все перешли на другие линейки?
*

zikkuratvk

  • Глобальный модератор
  • 4515
  • 319 / 2
  • Разрабатываем для Joomla
я бы ваv рекомендовал тогда переводить сайты на josstina впринципе ветка 1.2 jooostina это и есть доработанная 1.0.15... ну а так по сути... ни кто анализа толкового не делал в ветке 1.0 но могу заметить что ни один сайт на ней у меня не взламывали хотя пытались.. если верить логам...
Впринципе ни когда и 1.5 не ломали... а известные мне взломы все делались либо из-за не верной настройки прав... или из-за расширений.
Хочется уникальное расширение? ===>>>> JoomLine - Разрабатываем расширения под заказ.
Использую хостинг TimeWeb и Reg
*

god-master

  • Захожу иногда
  • 61
  • 1 / 0
Спасибо за развернутый ответ!
Вот интересно, все перешли с линейки 1.0 на 1.5, 1.6 или на joostin-у?
Есть ли кто-нибудь, кто так и остался на 1.0? =)
Или я один такой? =)))))))))
*

vikingg

  • Новичок
  • 7
  • 0 / 0
  • Вторник - прекрасный день!
я остановился на joostina 1.2 и никуда не сдвинусь)
*

Oleghek

  • Новичок
  • 14
  • 1 / 0
Я на 1.015 остался, так как удобнее ее нет.
*

NortonFox

  • Захожу иногда
  • 441
  • 43 / 0
Подскажите в чем вы видите удобство этой версии, как то ради интереса поставил ее посмотреть (сам начал заниматься сайтами на заре 1.5) и ужаснулся, в чем прелесть, преимущества над более новыми версиями?
Я знаю только то, что ничего не знаю
*

Marques

  • Завсегдатай
  • 1410
  • 190 / 9
  • Ctrl+F5
Я на 1.015 остался, так как удобнее ее нет.

А я остановился на windows 95 и чистом HTML 4.01 с редкими вкраплениями PHP 4.3.10

P.S.

Да... и телефон у меня Nokia 3310 (удобнее его нет, если нужно и позвонить и орехи поколоть)

;)
Зануда перфекционист, не признающий авторитетов, ищет легкую работу за большие деньги - http://dtkp.ru/ s@dtkp.ru
*

al-teen

  • Глобальный модератор
  • 2385
  • 224 / 10
  • im
Разработчики давно прекратили поддержку версии 1.0. При поддержке пункты безопасности постоянно обновляются. Хотя бы потому, что на любую популярную CMS с открытым кодом в сети можно найти целые мануалы о том как ее взломать. Я доступно выразился? О безопасности 1.0 можете вообще забыть - ее уровень остался на том этапе, на котором разработчики прекратили ее поддержку.
*

SK

  • Живу я здесь
  • 2134
  • 162 / 0
А я остановился на windows 95 и чистом HTML 4.01 с редкими вкраплениями PHP 4.3.10

P.S.

Да... и телефон у меня Nokia 3310 (удобнее его нет, если нужно и позвонить и орехи поколоть)

;)
Это, типа, иронизируете?
По моему мнению, разработчики Joomla пошли по пути Майкрософт - плодят монстров.
Да, наверное, это хорошо - создать продукт, который по функционалу удовлетворяет сразу всем требованиям.
Но, если, например, мне не надо делать мультиязычный сайт, если мне не нужно разделение прав пользователей, если я не хочу иметь подключенный функционал автоматического обновления движка и т.д. и т.п.
Мне скажут - "бесплатному коню в пасть не смотрят".
Согласен. Но имея достаточно большой опыт создания сайтов на движках 1.0 и 1.5, я глубоко разочаровался в движке 2.5.
Кстати, ни один из моих сайтов на 1.0 и 1.5 не был взломан (тьфу 3 раза).
Хороший это движок - Joomla.
Вот только, боюсь, разработчики угробят его, перестанет он быть "народным".
*

al-teen

  • Глобальный модератор
  • 2385
  • 224 / 10
  • im
Цитировать
Вот только, боюсь, разработчики угробят его, перестанет он быть "народным".
Поясните? Боюсь Вы не совсем понимаете о чем тут рассуждаете. Спросили про безопасность - я Вам подробно ответил. А нравится Вам 2.5 или нет - это Ваше личное дело.
Цитировать
Но, если, например, мне не надо делать мультиязычный сайт, если мне не нужно разделение прав пользователей, если я не хочу иметь подключенный функционал автоматического обновления движка и т.д. и т.п.
Что мешает удалить ненужные вам плагины и компоненты? Joomla - это фреймворк, голая площадка.
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Восстановление пункта меню админки в Joomla 1.0.15

Автор Vicom

Ответов: 0
Просмотров: 2739
Последний ответ 15.07.2017, 11:36:04
от Vicom
Как убрать цикличиские ссылки Joomla 1.0?

Автор p4o1

Ответов: 3
Просмотров: 1662
Последний ответ 12.03.2016, 11:18:40
от SeBun
сколько стоит обновить Joomla 1 на Joomla 3* нужна помощь

Автор zvi

Ответов: 10
Просмотров: 1928
Последний ответ 16.02.2016, 11:12:47
от zvi
Миграция с Joomla 1.0.x на Joomla 1.5.x (mtwmigrator)

Автор spot

Ответов: 358
Просмотров: 219926
Последний ответ 30.04.2015, 01:55:48
от Aleks_El_Dia
Joomla и TopServer 2.1

Автор frimen

Ответов: 3
Просмотров: 8702
Последний ответ 25.02.2015, 20:28:30
от m1